Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Anticipated Amount Verification


Anticipated amount verification enables you to include an anticipated transaction amount in an account verification request and receive a funds availability signal in the account verification response. This feature lets you anticipate a purchase amount without initiating a financial authorization, holding cardholder funds, or requiring a reversal.

Anticipated amount verification increases the likelihood of an authorization being approved. These are a few examples:

  • Card-on-file setup
  • Recurring payments
  • Subscriptions
  • Free trials
  • Reservations
  • Delayed-charge transactions

Anticipated amount verification signals funds availability in the zero-amount account verification message. It is an alternative to using low-value authorizations for account validation and pre-transaction decisioning.

Supported Processor

Amount Limitation

For transactions on the Visa network, anticipated amounts are limited to 50.00. If you submit an anticipated amount greater than 50.00, the amount is not processed, and the transaction proceeds with standard account validation.

Fields Specific to This Feature

This field is specific to this feature:

FieldDescription
orderInformation.amountDetails.anticipatedAmountSet this value to the anticipated transaction amount that you want evaluated for funds availability.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Standard Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "paymentInformation": {    "card": {      "number": "411111111111xxxx",      "expirationMonth": "12",      "expirationYear": "2031",      "securityCode": "915"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "0",      "currency": "USD",      "anticipatedAmount": "40"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7931671131636730804806/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7931671131636730804806"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7931671131636730804806/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7931671131636730804806",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "094792",    "merchantNumber": "12345678",    "approvalCode": "675634",    "cardVerification": {      "resultCodeRaw": "M",      "resultCode": "M"    },    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "630005094792",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "Z5",    "avs": {      "code": "1"    }  },  "reconciliationId": "7931671131636730804806",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-10-28T05:58:33Z"}

Standard Required Fields

Use these required fields to process an anticipated amount verification.

Standard Required Fields
orderInformation.amountDetails.anticipatedAmount

Set the value to the anticipated transaction amount that you want evaluated for funds availability.

orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount

Set the value to 0.

paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number

Optional Fields

Optional Fields
clientReferenceInformation.code
paymentInformation.card.securityCode

Response Field

The account verification response returns the funds availability code in these fields:

  • processorInformation.responseCode: Indicates the result of the funds availability evaluation. This field returns one of these values:
    • 00: The account is valid and in good standing. Funds were evaluated, and the anticipated amount is available.
    • Z5: The account is valid and in good standing. Funds were evaluated, and the anticipated amount is not available.
    • 85: The account is valid and in good standing, but funds were not evaluated. This value does not indicate insufficient funds.

Last published: November 18, 2026

Not available for your audience

This page isn't available for your current audience selection.